org.jbpm.casemgmt.impl.model

## Class CaseDefinitionImpl

- java.lang.Object
- - org.jbpm.casemgmt.impl.model.CaseDefinitionImpl

- All Implemented Interfaces:
    Serializable, CaseDefinition

      public class CaseDefinitionImpl
      extends Object
      implements CaseDefinition, Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.jbpm.casemgmt.api.model.CaseDefinition

      `DEFAULT_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CaseDefinitionImpl()`
    `CaseDefinitionImpl(ProcessAssetDesc processDef, String identifierPrefix, Collection<CaseStage> caseStages, Collection<CaseMilestone> caseMilestones, Collection<CaseRole> caseRoles, Collection<AdHocFragment> adHocFragments, Map<String,List<String>> dataAccessRestrictions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<AdHocFragment>` | `getAdHocFragments()` Returns available adhoc fragments that can be signaled.
    `Collection<CaseMilestone>` | `getCaseMilestones()` Returns available case milestones for this case.
    `Collection<CaseRole>` | `getCaseRoles()` Returns case roles for this case.
    `Collection<CaseStage>` | `getCaseStages()` Returns available case stages in this case.
    `Map<String,List<String>>` | `getDataAccessRestrictions()` Returns default case file data restrictions.
    `String` | `getDeploymentId()` Returns deployment id
    `String` | `getId()` Returns id of the case that shall be used to instantiate new instance of this case
    `String` | `getIdentifierPrefix()` Returns case identifier prefix to be used for every instance of this case.
    `String` | `getName()` Returns case name of this case.
    `Set<String>` | `getResolvedIdentifierPrefixes()` Returns case prefixes computed of this case instances
    `String` | `getVersion()` Returns version of this case
    `boolean` | `isActive()`
    `boolean` | `isIdentifierPrefixSequence()` Returns if the prefix is a sequence or not
    `void` | `setIdentifierPrefixSequence(boolean identifierPrefixSequence)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseDefinitionImpl

          public CaseDefinitionImpl()

    - #### CaseDefinitionImpl

          public CaseDefinitionImpl(ProcessAssetDesc processDef,
                                    String identifierPrefix,
                                    Collection<CaseStage> caseStages,
                                    Collection<CaseMilestone> caseMilestones,
                                    Collection<CaseRole> caseRoles,
                                    Collection<AdHocFragment> adHocFragments,
                                    Map<String,List<String>> dataAccessRestrictions)

  - ### Method Detail

    - #### getIdentifierPrefix

          public String getIdentifierPrefix()

      Description copied from interface: `CaseDefinition`
      Returns case identifier prefix to be used for every instance of this case.
      Specified by:
        `getIdentifierPrefix` in interface `CaseDefinition`

    - #### getCaseStages

          public Collection<CaseStage> getCaseStages()

      Description copied from interface: `CaseDefinition`
      Returns available case stages in this case.
      Specified by:
        `getCaseStages` in interface `CaseDefinition`

    - #### getCaseMilestones

          public Collection<CaseMilestone> getCaseMilestones()

      Description copied from interface: `CaseDefinition`
      Returns available case milestones for this case.
      Specified by:
        `getCaseMilestones` in interface `CaseDefinition`

    - #### getCaseRoles

          public Collection<CaseRole> getCaseRoles()

      Description copied from interface: `CaseDefinition`
      Returns case roles for this case.
      Specified by:
        `getCaseRoles` in interface `CaseDefinition`

    - #### getDeploymentId

          public String getDeploymentId()

      Description copied from interface: `CaseDefinition`
      Returns deployment id
      Specified by:
        `getDeploymentId` in interface `CaseDefinition`

    - #### isActive

          public boolean isActive()

    - #### getName

          public String getName()

      Description copied from interface: `CaseDefinition`
      Returns case name of this case.
      Specified by:
        `getName` in interface `CaseDefinition`

    - #### getId

          public String getId()

      Description copied from interface: `CaseDefinition`
      Returns id of the case that shall be used to instantiate new instance of this case
      Specified by:
        `getId` in interface `CaseDefinition`

    - #### getVersion

          public String getVersion()

      Description copied from interface: `CaseDefinition`
      Returns version of this case
      Specified by:
        `getVersion` in interface `CaseDefinition`

    - #### getAdHocFragments

          public Collection<AdHocFragment> getAdHocFragments()

      Description copied from interface: `CaseDefinition`
      Returns available adhoc fragments that can be signaled.
      Specified by:
        `getAdHocFragments` in interface `CaseDefinition`

    - #### getDataAccessRestrictions

          public Map<String,List<String>> getDataAccessRestrictions()

      Description copied from interface: `CaseDefinition`
      Returns default case file data restrictions.
      Specified by:
        `getDataAccessRestrictions` in interface `CaseDefinition`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getResolvedIdentifierPrefixes

          public Set<String> getResolvedIdentifierPrefixes()

      Description copied from interface: `CaseDefinition`
      Returns case prefixes computed of this case instances
      Specified by:
        `getResolvedIdentifierPrefixes` in interface `CaseDefinition`

    - #### setIdentifierPrefixSequence

          public void setIdentifierPrefixSequence(boolean identifierPrefixSequence)

    - #### isIdentifierPrefixSequence

          public boolean isIdentifierPrefixSequence()

      Description copied from interface: `CaseDefinition`
      Returns if the prefix is a sequence or not
      Specified by:
        `isIdentifierPrefixSequence` in interface `CaseDefinition`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.